Send an on-chain transfer from a wallet
curl --request POST \
--url https://api.balansas.com/functions/v1/customer-api/wallets/{walletId}/transfers \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"asset": "<string>",
"network": "<string>",
"amount": "<string>",
"destination": "<string>",
"note": "<string>"
}
'import requests
url = "https://api.balansas.com/functions/v1/customer-api/wallets/{walletId}/transfers"
payload = {
"asset": "<string>",
"network": "<string>",
"amount": "<string>",
"destination": "<string>",
"note": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
asset: '<string>',
network: '<string>',
amount: '<string>',
destination: '<string>',
note: '<string>'
})
};
fetch('https://api.balansas.com/functions/v1/customer-api/wallets/{walletId}/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"local_id": "9f8e7d6c-5b4a-4938-8271-6a5b4c3d2e1f",
"status": "pending",
"amount": "100.00",
"asset": "USDC",
"network": "ethereum",
"destination": "0xAbC1234567890dEf1234567890AbCdEf12345678"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Wallets
Send an on-chain transfer from a wallet
POST
/
wallets
/
{walletId}
/
transfers
Send an on-chain transfer from a wallet
Authorizations
Customer API key. Send as x-api-key: sk_... or Authorization: Bearer sk_.... Write operations also require an X-CSRF-Token header (64-char hex).
Body
application/json
Response
Success
Show child attributes
Show child attributes
⌘I

